Page MenuHomePhabricator

"shinken" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the shinken project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:32 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:32 AM

I vaguely recall there may have been some packaging-related motivation for
making the current shinken instance Jessie instead of Stretch.

Andrew claimed this task.Jan 1 2020, 3:30 AM
Andrew added a comment.Jan 2 2020, 2:48 AM

Update: shinken looks to be abandoned, and getting it up and running on Buster is turning out to be quite a disaster. So I'm going to have a go at setting up an icinga 1.x project as a replacement -- 1.x is /also/ abandoned, but at least there are some probably-still-working puppet classes to manage it.

Andrew removed Andrew as the assignee of this task.Jan 15 2020, 2:01 PM

Is this task still valid and should stay open? Asking as the Due Date on this task says December 2019. If this task is done, please resolve it (via Add Action...Change Status in the dropdown menu). If it is not done, please remove or reset the Due Date (via Edit Task). Thanks!

Mentioned in SAL (#wikimedia-cloud) [2020-08-17T15:43:36Z] <andrewbogott> deleting all VMS and the project, as per T236547

Andrew closed this task as Resolved.Aug 17 2020, 3:48 PM
Andrew claimed this task.

This project has now been deleted.

Change 629464 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] remove shinken module, profile, role

https://gerrit.wikimedia.org/r/629464